import numpy as np
from PIL import Image
import json
from pathlib import Path


def load_thd_projection(json_path: Path):
    if not json_path.suffix.endswith('json'):
        raise ValueError('Wrong data type. Input must be `.json`file.')
    meta_data = json.load(json_path.open())
    image = np.asarray(Image.open(json_path.parent / meta_data['image']['image_path']))
    return meta_data, image